# fetchOptions | @coopenomics/sdk
Documentation for @coopenomics/sdk

# Type alias fetchOptions

fetchOptions: {
0: string | URL | Request;
1: undefined | RequestInit;
[iterator]: (() => ArrayIterator<undefined | string | URL | Request | RequestInit>);
[unscopables]: {
[unscopables]?: boolean;
length?: boolean;
[iterator]?: any;
at?: any;
concat?: any;
copyWithin?: any;
entries?: any;
every?: any;
fill?: any;
filter?: any;
find?: any;
findIndex?: any;
findLast?: any;
findLastIndex?: any;
flat?: any;
flatMap?: any;
forEach?: any;
includes?: any;
indexOf?: any;
join?: any;
keys?: any;
lastIndexOf?: any;
map?: any;
pop?: any;
push?: any;
reduce?: any;
reduceRight?: any;
reverse?: any;
shift?: any;
slice?: any;
some?: any;
sort?: any;
splice?: any;
toLocaleString?: any;
toReversed?: any;
toSorted?: any;
toSpliced?: any;
toString?: any;
unshift?: any;
values?: any;
with?: any;
};
at: ((index) => undefined | string | URL | Request | RequestInit);
concat: {
(...items): (undefined | string | URL | Request | RequestInit)[];
(...items): (undefined | string | URL | Request | RequestInit)[];
};
copyWithin: ((target, start, end?) => this);
entries: (() => ArrayIterator<[number, undefined | string | URL | Request | RequestInit]>);
every: {
< S >(predicate, thisArg?): this is S [];
(predicate, thisArg?): boolean;
};
fill: ((value, start?, end?) => this);
filter: {
< S >(predicate, thisArg?): S [];
(predicate, thisArg?): (undefined | string | URL | Request | RequestInit)[];
};
find: {
< S >(predicate, thisArg?): undefined | S ;
(predicate, thisArg?): undefined | string | URL | Request | RequestInit;
};
findIndex: ((predicate, thisArg?) => number);
findLast: {
< S >(predicate, thisArg?): undefined | S ;
(predicate, thisArg?): undefined | string | URL | Request | RequestInit;
};
findLastIndex: ((predicate, thisArg?) => number);
flat: (< A , D >(this, depth?) => FlatArray< A , D >[]);
flatMap: (< U , This >(callback, thisArg?) => U []);
forEach: ((callbackfn, thisArg?) => void);
includes: ((searchElement, fromIndex?) => boolean);
indexOf: ((searchElement, fromIndex?) => number);
join: ((separator?) => string);
keys: (() => ArrayIterator<number>);
lastIndexOf: ((searchElement, fromIndex?) => number);
length: 1 | 2;
map: (< U >(callbackfn, thisArg?) => U []);
pop: (() => undefined | string | URL | Request | RequestInit);
push: ((...items) => number);
reduce: {
(callbackfn): undefined | string | URL | Request | RequestInit;
(callbackfn, initialValue): undefined | string | URL | Request | RequestInit;
< U >(callbackfn, initialValue): U ;
};
reduceRight: {
(callbackfn): undefined | string | URL | Request | RequestInit;
(callbackfn, initialValue): undefined | string | URL | Request | RequestInit;
< U >(callbackfn, initialValue): U ;
};
reverse: (() => (undefined | string | URL | Request | RequestInit)[]);
shift: (() => undefined | string | URL | Request | RequestInit);
slice: ((start?, end?) => (undefined | string | URL | Request | RequestInit)[]);
some: ((predicate, thisArg?) => boolean);
sort: ((compareFn?) => this);
splice: {
(start, deleteCount?): (undefined | string | URL | Request | RequestInit)[];
(start, deleteCount, ...items): (undefined | string | URL | Request | RequestInit)[];
};
toLocaleString: {
(): string;
(locales, options?): string;
};
toReversed: (() => (undefined | string | URL | Request | RequestInit)[]);
toSorted: ((compareFn?) => (undefined | string | URL | Request | RequestInit)[]);
toSpliced: {
(start, deleteCount, ...items): (undefined | string | URL | Request | RequestInit)[];
(start, deleteCount?): (undefined | string | URL | Request | RequestInit)[];
};
toString: (() => string);
unshift: ((...items) => number);
values: (() => ArrayIterator<undefined | string | URL | Request | RequestInit>);
with: ((index, value) => (undefined | string | URL | Request | RequestInit)[]);
}

#### Type declaration

- ##### 0: string | URL | Request

- ##### 1: undefined | RequestInit

- ##### [iterator]: (() => ArrayIterator<undefined | string | URL | Request | RequestInit>)

  - - (): ArrayIterator<undefined | string | URL | Request | RequestInit>

    - Iterator

      #### Returns ArrayIterator<undefined | string | URL | Request | RequestInit>

- ##### [unscopables]: {
  [unscopables]?: boolean;
  length?: boolean;
  [iterator]?: any;
  at?: any;
  concat?: any;
  copyWithin?: any;
  entries?: any;
  every?: any;
  fill?: any;
  filter?: any;
  find?: any;
  findIndex?: any;
  findLast?: any;
  findLastIndex?: any;
  flat?: any;
  flatMap?: any;
  forEach?: any;
  includes?: any;
  indexOf?: any;
  join?: any;
  keys?: any;
  lastIndexOf?: any;
  map?: any;
  pop?: any;
  push?: any;
  reduce?: any;
  reduceRight?: any;
  reverse?: any;
  shift?: any;
  slice?: any;
  some?: any;
  sort?: any;
  splice?: any;
  toLocaleString?: any;
  toReversed?: any;
  toSorted?: any;
  toSpliced?: any;
  toString?: any;
  unshift?: any;
  values?: any;
  with?: any;
  }

  - ##### `Optional` `Readonly` [unscopables]?: boolean

    Is an object whose properties have the value 'true' when they will be absent when used in a 'with' statement.

  - ##### `Optional` length?: boolean

    Gets or sets the length of the array. This is a number one higher than the highest index in the array.

- ##### at: ((index) => undefined | string | URL | Request | RequestInit)

  - - (index): undefined | string | URL | Request | RequestInit

    - Returns the item located at the specified index.

      #### Parameters

      - index: number

        The zero-based index of the desired code unit. A negative index will count back from the last item.

      #### Returns undefined | string | URL | Request | RequestInit

- ##### concat: {
  (...items): (undefined | string | URL | Request | RequestInit)[];
  (...items): (undefined | string | URL | Request | RequestInit)[];
  }

  - - (...items): (undefined | string | URL | Request | RequestInit)[]

    - Combines two or more arrays. This method returns a new array without modifying any existing arrays.

      #### Parameters

      - `Rest` ...items: ConcatArray<undefined | string | URL | Request | RequestInit>[]

        Additional arrays and/or items to add to the end of the array.

      #### Returns (undefined | string | URL | Request | RequestInit)[]

    - (...items): (undefined | string | URL | Request | RequestInit)[]

    - Combines two or more arrays. This method returns a new array without modifying any existing arrays.

      #### Parameters

      - `Rest` ...items: (undefined | string | URL | Request | RequestInit | ConcatArray<undefined | string | URL | Request | RequestInit>)[]

        Additional arrays and/or items to add to the end of the array.

      #### Returns (undefined | string | URL | Request | RequestInit)[]

- ##### copyWithin: ((target, start, end?) => this)

  - - (target, start, end?): this

    - Returns the this object after copying a section of the array identified by start and end to the same array starting at position target

      #### Parameters

      - target: number

        If target is negative, it is treated as length+target where length is the length of the array.

      - start: number

        If start is negative, it is treated as length+start. If end is negative, it is treated as length+end.

      - `Optional` end: number

        If not specified, length of the this object is used as its default value.

      #### Returns this

- ##### entries: (() => ArrayIterator<[number, undefined | string | URL | Request | RequestInit]>)

  - - (): ArrayIterator<[number, undefined | string | URL | Request | RequestInit]>

    - Returns an iterable of key, value pairs for every entry in the array

      #### Returns ArrayIterator<[number, undefined | string | URL | Request | RequestInit]>

- ##### every: {
  < S >(predicate, thisArg?): this is S [];
  (predicate, thisArg?): boolean;
  }

  - - < S >(predicate, thisArg?): this is S []

    - Determines whether all the members of an array satisfy the specified test.

      #### Type Parameters

      - S extends undefined | string | URL | Request | RequestInit

      #### Parameters

      - predicate: ((value, index, array) => value is S )

        A function that accepts up to three arguments. The every method calls the predicate function for each element in the array until the predicate returns a value which is coercible to the Boolean value false, or until the end of the array.

        - - (value, index, array): value is S

          - #### Parameters

            - value: undefined | string | URL | Request | RequestInit
            - index: number
            - array: (undefined | string | URL | Request | RequestInit)[]

            #### Returns value is S

      - `Optional` thisArg: any

        An object to which the this keyword can refer in the predicate function. If thisArg is omitted, undefined is used as the this value.

      #### Returns this is S []

    - (predicate, thisArg?): boolean

    - Determines whether all the members of an array satisfy the specified test.

      #### Parameters

      - predicate: ((value, index, array) => unknown)

        A function that accepts up to three arguments. The every method calls the predicate function for each element in the array until the predicate returns a value which is coercible to the Boolean value false, or until the end of the array.

        - - (value, index, array): unknown

          - #### Parameters

            - value: undefined | string | URL | Request | RequestInit
            - index: number
            - array: (undefined | string | URL | Request | RequestInit)[]

            #### Returns unknown

      - `Optional` thisArg: any

        An object to which the this keyword can refer in the predicate function. If thisArg is omitted, undefined is used as the this value.

      #### Returns boolean

- ##### fill: ((value, start?, end?) => this)

  - - (value, start?, end?): this

    - Changes all array elements from `start` to `end` index to a static `value` and returns the modified array

      #### Parameters

      - value: undefined | string | URL | Request | RequestInit

        value to fill array section with

      - `Optional` start: number

        index to start filling the array at. If start is negative, it is treated as length+start where length is the length of the array.

      - `Optional` end: number

        index to stop filling the array at. If end is negative, it is treated as length+end.

      #### Returns this

- ##### filter: {
  < S >(predicate, thisArg?): S [];
  (predicate, thisArg?): (undefined | string | URL | Request | RequestInit)[];
  }

  - - < S >(predicate, thisArg?): S []

    - Returns the elements of an array that meet the condition specified in a callback function.

      #### Type Parameters

      - S extends undefined | string | URL | Request | RequestInit

      #### Parameters

      - predicate: ((value, index, array) => value is S )

        A function that accepts up to three arguments. The filter method calls the predicate function one time for each element in the array.

        - - (value, index, array): value is S

          - #### Parameters

            - value: undefined | string | URL | Request | RequestInit
            - index: number
            - array: (undefined | string | URL | Request | RequestInit)[]

            #### Returns value is S

      - `Optional` thisArg: any

        An object to which the this keyword can refer in the predicate function. If thisArg is omitted, undefined is used as the this value.

      #### Returns S []

    - (predicate, thisArg?): (undefined | string | URL | Request | RequestInit)[]

    - Returns the elements of an array that meet the condition specified in a callback function.

      #### Parameters

      - predicate: ((value, index, array) => unknown)

        A function that accepts up to three arguments. The filter method calls the predicate function one time for each element in the array.

        - - (value, index, array): unknown

          - #### Parameters

            - value: undefined | string | URL | Request | RequestInit
            - index: number
            - array: (undefined | string | URL | Request | RequestInit)[]

            #### Returns unknown

      - `Optional` thisArg: any

        An object to which the this keyword can refer in the predicate function. If thisArg is omitted, undefined is used as the this value.

      #### Returns (undefined | string | URL | Request | RequestInit)[]

- ##### find: {
  < S >(predicate, thisArg?): undefined | S ;
  (predicate, thisArg?): undefined | string | URL | Request | RequestInit;
  }

  - - < S >(predicate, thisArg?): undefined | S

    - Returns the value of the first element in the array where predicate is true, and undefined otherwise.

      #### Type Parameters

      - S extends undefined | string | URL | Request | RequestInit

      #### Parameters

      - predicate: ((value, index, obj) => value is S )

        find calls predicate once for each element of the array, in ascending order, until it finds one where predicate returns true. If such an element is found, find immediately returns that element value. Otherwise, find returns undefined.

        - - (value, index, obj): value is S

          - #### Parameters

            - value: undefined | string | URL | Request | RequestInit
            - index: number
            - obj: (undefined | string | URL | Request | RequestInit)[]

            #### Returns value is S

      - `Optional` thisArg: any

        If provided, it will be used as the this value for each invocation of predicate. If it is not provided, undefined is used instead.

      #### Returns undefined | S

    - (predicate, thisArg?): undefined | string | URL | Request | RequestInit

    - #### Parameters

      - predicate: ((value, index, obj) => unknown)
        - - (value, index, obj): unknown

          - #### Parameters

            - value: undefined | string | URL | Request | RequestInit
            - index: number
            - obj: (undefined | string | URL | Request | RequestInit)[]

            #### Returns unknown

      - `Optional` thisArg: any

      #### Returns undefined | string | URL | Request | RequestInit

- ##### findIndex: ((predicate, thisArg?) => number)

  - - (predicate, thisArg?): number

    - Returns the index of the first element in the array where predicate is true, and -1 otherwise.

      #### Parameters

      - predicate: ((value, index, obj) => unknown)

        find calls predicate once for each element of the array, in ascending order, until it finds one where predicate returns true. If such an element is found, findIndex immediately returns that element index. Otherwise, findIndex returns -1.

        - - (value, index, obj): unknown

          - #### Parameters

            - value: undefined | string | URL | Request | RequestInit
            - index: number
            - obj: (undefined | string | URL | Request | RequestInit)[]

            #### Returns unknown

      - `Optional` thisArg: any

        If provided, it will be used as the this value for each invocation of predicate. If it is not provided, undefined is used instead.

      #### Returns number

- ##### findLast: {
  < S >(predicate, thisArg?): undefined | S ;
  (predicate, thisArg?): undefined | string | URL | Request | RequestInit;
  }

  - - < S >(predicate, thisArg?): undefined | S

    - Returns the value of the last element in the array where predicate is true, and undefined otherwise.

      #### Type Parameters

      - S extends undefined | string | URL | Request | RequestInit

      #### Parameters

      - predicate: ((value, index, array) => value is S )

        findLast calls predicate once for each element of the array, in descending order, until it finds one where predicate returns true. If such an element is found, findLast immediately returns that element value. Otherwise, findLast returns undefined.

        - - (value, index, array): value is S

          - #### Parameters

            - value: undefined | string | URL | Request | RequestInit
            - index: number
            - array: (undefined | string | URL | Request | RequestInit)[]

            #### Returns value is S

      - `Optional` thisArg: any

        If provided, it will be used as the this value for each invocation of predicate. If it is not provided, undefined is used instead.

      #### Returns undefined | S

    - (predicate, thisArg?): undefined | string | URL | Request | RequestInit

    - #### Parameters

      - predicate: ((value, index, array) => unknown)
        - - (value, index, array): unknown

          - #### Parameters

            - value: undefined | string | URL | Request | RequestInit
            - index: number
            - array: (undefined | string | URL | Request | RequestInit)[]

            #### Returns unknown

      - `Optional` thisArg: any

      #### Returns undefined | string | URL | Request | RequestInit

- ##### findLastIndex: ((predicate, thisArg?) => number)

  - - (predicate, thisArg?): number

    - Returns the index of the last element in the array where predicate is true, and -1 otherwise.

      #### Parameters

      - predicate: ((value, index, array) => unknown)

        findLastIndex calls predicate once for each element of the array, in descending order, until it finds one where predicate returns true. If such an element is found, findLastIndex immediately returns that element index. Otherwise, findLastIndex returns -1.

        - - (value, index, array): unknown

          - #### Parameters

            - value: undefined | string | URL | Request | RequestInit
            - index: number
            - array: (undefined | string | URL | Request | RequestInit)[]

            #### Returns unknown

      - `Optional` thisArg: any

        If provided, it will be used as the this value for each invocation of predicate. If it is not provided, undefined is used instead.

      #### Returns number

- ##### flat: (< A , D >(this, depth?) => FlatArray< A , D >[])

  - - < A , D >(this, depth?): FlatArray< A , D >[]

    - Returns a new array with all sub-array elements concatenated into it recursively up to the specified depth.

      #### Type Parameters

      - A
      - D extends number = 1

      #### Parameters

      - this: A
      - `Optional` depth: D

        The maximum recursion depth

      #### Returns FlatArray< A , D >[]

- ##### flatMap: (< U , This >(callback, thisArg?) => U [])

  - - < U , This >(callback, thisArg?): U []

    - Calls a defined callback function on each element of an array. Then, flattens the result into a new array. This is identical to a map followed by flat with depth 1.

      #### Type Parameters

      - U
      - This = undefined

      #### Parameters

      - callback: ((this, value, index, array) => U | readonly U [])

        A function that accepts up to three arguments. The flatMap method calls the callback function one time for each element in the array.

        - - (this, value, index, array): U | readonly U []

          - #### Parameters

            - this: This
            - value: undefined | string | URL | Request | RequestInit
            - index: number
            - array: (undefined | string | URL | Request | RequestInit)[]

            #### Returns U | readonly U []

      - `Optional` thisArg: This

        An object to which the this keyword can refer in the callback function. If thisArg is omitted, undefined is used as the this value.

      #### Returns U []

- ##### forEach: ((callbackfn, thisArg?) => void)

  - - (callbackfn, thisArg?): void

    - Performs the specified action for each element in an array.

      #### Parameters

      - callbackfn: ((value, index, array) => void)

        A function that accepts up to three arguments. forEach calls the callbackfn function one time for each element in the array.

        - - (value, index, array): void

          - #### Parameters

            - value: undefined | string | URL | Request | RequestInit
            - index: number
            - array: (undefined | string | URL | Request | RequestInit)[]

            #### Returns void

      - `Optional` thisArg: any

        An object to which the this keyword can refer in the callbackfn function. If thisArg is omitted, undefined is used as the this value.

      #### Returns void

- ##### includes: ((searchElement, fromIndex?) => boolean)

  - - (searchElement, fromIndex?): boolean

    - Determines whether an array includes a certain element, returning true or false as appropriate.

      #### Parameters

      - searchElement: undefined | string | URL | Request | RequestInit

        The element to search for.

      - `Optional` fromIndex: number

        The position in this array at which to begin searching for searchElement.

      #### Returns boolean

- ##### indexOf: ((searchElement, fromIndex?) => number)

  - - (searchElement, fromIndex?): number

    - Returns the index of the first occurrence of a value in an array, or -1 if it is not present.

      #### Parameters

      - searchElement: undefined | string | URL | Request | RequestInit

        The value to locate in the array.

      - `Optional` fromIndex: number

        The array index at which to begin the search. If fromIndex is omitted, the search starts at index 0.

      #### Returns number

- ##### join: ((separator?) => string)

  - - (separator?): string

    - Adds all the elements of an array into a string, separated by the specified separator string.

      #### Parameters

      - `Optional` separator: string

        A string used to separate one element of the array from the next in the resulting string. If omitted, the array elements are separated with a comma.

      #### Returns string

- ##### keys: (() => ArrayIterator<number>)

  - - (): ArrayIterator<number>

    - Returns an iterable of keys in the array

      #### Returns ArrayIterator<number>

- ##### lastIndexOf: ((searchElement, fromIndex?) => number)

  - - (searchElement, fromIndex?): number

    - Returns the index of the last occurrence of a specified value in an array, or -1 if it is not present.

      #### Parameters

      - searchElement: undefined | string | URL | Request | RequestInit

        The value to locate in the array.

      - `Optional` fromIndex: number

        The array index at which to begin searching backward. If fromIndex is omitted, the search starts at the last index in the array.

      #### Returns number

- ##### length: 1 | 2

- ##### map: (< U >(callbackfn, thisArg?) => U [])

  - - < U >(callbackfn, thisArg?): U []

    - Calls a defined callback function on each element of an array, and returns an array that contains the results.

      #### Type Parameters

      - U

      #### Parameters

      - callbackfn: ((value, index, array) => U )

        A function that accepts up to three arguments. The map method calls the callbackfn function one time for each element in the array.

        - - (value, index, array): U

          - #### Parameters

            - value: undefined | string | URL | Request | RequestInit
            - index: number
            - array: (undefined | string | URL | Request | RequestInit)[]

            #### Returns U

      - `Optional` thisArg: any

        An object to which the this keyword can refer in the callbackfn function. If thisArg is omitted, undefined is used as the this value.

      #### Returns U []

- ##### pop: (() => undefined | string | URL | Request | RequestInit)

  - - (): undefined | string | URL | Request | RequestInit

    - Removes the last element from an array and returns it. If the array is empty, undefined is returned and the array is not modified.

      #### Returns undefined | string | URL | Request | RequestInit

- ##### push: ((...items) => number)

  - - (...items): number

    - Appends new elements to the end of an array, and returns the new length of the array.

      #### Parameters

      - `Rest` ...items: (undefined | string | URL | Request | RequestInit)[]

        New elements to add to the array.

      #### Returns number

- ##### reduce: {
  (callbackfn): undefined | string | URL | Request | RequestInit;
  (callbackfn, initialValue): undefined | string | URL | Request | RequestInit;
  < U >(callbackfn, initialValue): U ;
  }

  - - (callbackfn): undefined | string | URL | Request | RequestInit

    - Calls the specified callback function for all the elements in an array. The return value of the callback function is the accumulated result, and is provided as an argument in the next call to the callback function.

      #### Parameters

      - callbackfn: ((previousValue, currentValue, currentIndex, array) => undefined | string | URL | Request | RequestInit)

        A function that accepts up to four arguments. The reduce method calls the callbackfn function one time for each element in the array.

        - - (previousValue, currentValue, currentIndex, array): undefined | string | URL | Request | RequestInit

          - #### Parameters

            - previousValue: undefined | string | URL | Request | RequestInit
            - currentValue: undefined | string | URL | Request | RequestInit
            - currentIndex: number
            - array: (undefined | string | URL | Request | RequestInit)[]

            #### Returns undefined | string | URL | Request | RequestInit

    - (callbackfn, initialValue): undefined | string | URL | Request | RequestInit

    - #### Parameters

      - callbackfn: ((previousValue, currentValue, currentIndex, array) => undefined | string | URL | Request | RequestInit)
        - - (previousValue, currentValue, currentIndex, array): undefined | string | URL | Request | RequestInit

          - #### Parameters

            - previousValue: undefined | string | URL | Request | RequestInit
            - currentValue: undefined | string | URL | Request | RequestInit
            - currentIndex: number
            - array: (undefined | string | URL | Request | RequestInit)[]

            #### Returns undefined | string | URL | Request | RequestInit

      - initialValue: undefined | string | URL | Request | RequestInit

      #### Returns undefined | string | URL | Request | RequestInit

    - < U >(callbackfn, initialValue): U

    - Calls the specified callback function for all the elements in an array. The return value of the callback function is the accumulated result, and is provided as an argument in the next call to the callback function.

      #### Type Parameters

      - U

      #### Parameters

      - callbackfn: ((previousValue, currentValue, currentIndex, array) => U )

        A function that accepts up to four arguments. The reduce method calls the callbackfn function one time for each element in the array.

        - - (previousValue, currentValue, currentIndex, array): U

          - #### Parameters

            - previousValue: U
            - currentValue: undefined | string | URL | Request | RequestInit
            - currentIndex: number
            - array: (undefined | string | URL | Request | RequestInit)[]

            #### Returns U

      - initialValue: U

        If initialValue is specified, it is used as the initial value to start the accumulation. The first call to the callbackfn function provides this value as an argument instead of an array value.

      #### Returns U

- ##### reduceRight: {
  (callbackfn): undefined | string | URL | Request | RequestInit;
  (callbackfn, initialValue): undefined | string | URL | Request | RequestInit;
  < U >(callbackfn, initialValue): U ;
  }

  - - (callbackfn): undefined | string | URL | Request | RequestInit

    - Calls the specified callback function for all the elements in an array, in descending order. The return value of the callback function is the accumulated result, and is provided as an argument in the next call to the callback function.

      #### Parameters

      - callbackfn: ((previousValue, currentValue, currentIndex, array) => undefined | string | URL | Request | RequestInit)

        A function that accepts up to four arguments. The reduceRight method calls the callbackfn function one time for each element in the array.

        - - (previousValue, currentValue, currentIndex, array): undefined | string | URL | Request | RequestInit

          - #### Parameters

            - previousValue: undefined | string | URL | Request | RequestInit
            - currentValue: undefined | string | URL | Request | RequestInit
            - currentIndex: number
            - array: (undefined | string | URL | Request | RequestInit)[]

            #### Returns undefined | string | URL | Request | RequestInit

    - (callbackfn, initialValue): undefined | string | URL | Request | RequestInit

    - #### Parameters

      - callbackfn: ((previousValue, currentValue, currentIndex, array) => undefined | string | URL | Request | RequestInit)
        - - (previousValue, currentValue, currentIndex, array): undefined | string | URL | Request | RequestInit

          - #### Parameters

            - previousValue: undefined | string | URL | Request | RequestInit
            - currentValue: undefined | string | URL | Request | RequestInit
            - currentIndex: number
            - array: (undefined | string | URL | Request | RequestInit)[]

            #### Returns undefined | string | URL | Request | RequestInit

      - initialValue: undefined | string | URL | Request | RequestInit

      #### Returns undefined | string | URL | Request | RequestInit

    - < U >(callbackfn, initialValue): U

    - Calls the specified callback function for all the elements in an array, in descending order. The return value of the callback function is the accumulated result, and is provided as an argument in the next call to the callback function.

      #### Type Parameters

      - U

      #### Parameters

      - callbackfn: ((previousValue, currentValue, currentIndex, array) => U )

        A function that accepts up to four arguments. The reduceRight method calls the callbackfn function one time for each element in the array.

        - - (previousValue, currentValue, currentIndex, array): U

          - #### Parameters

            - previousValue: U
            - currentValue: undefined | string | URL | Request | RequestInit
            - currentIndex: number
            - array: (undefined | string | URL | Request | RequestInit)[]

            #### Returns U

      - initialValue: U

        If initialValue is specified, it is used as the initial value to start the accumulation. The first call to the callbackfn function provides this value as an argument instead of an array value.

      #### Returns U

- ##### reverse: (() => (undefined | string | URL | Request | RequestInit)[])

  - - (): (undefined | string | URL | Request | RequestInit)[]

    - Reverses the elements in an array in place. This method mutates the array and returns a reference to the same array.

      #### Returns (undefined | string | URL | Request | RequestInit)[]

- ##### shift: (() => undefined | string | URL | Request | RequestInit)

  - - (): undefined | string | URL | Request | RequestInit

    - Removes the first element from an array and returns it. If the array is empty, undefined is returned and the array is not modified.

      #### Returns undefined | string | URL | Request | RequestInit

- ##### slice: ((start?, end?) => (undefined | string | URL | Request | RequestInit)[])

  - - (start?, end?): (undefined | string | URL | Request | RequestInit)[]

    - Returns a copy of a section of an array. For both start and end, a negative index can be used to indicate an offset from the end of the array. For example, -2 refers to the second to last element of the array.

      #### Parameters

      - `Optional` start: number

        The beginning index of the specified portion of the array. If start is undefined, then the slice begins at index 0.

      - `Optional` end: number

        The end index of the specified portion of the array. This is exclusive of the element at the index 'end'. If end is undefined, then the slice extends to the end of the array.

      #### Returns (undefined | string | URL | Request | RequestInit)[]

- ##### some: ((predicate, thisArg?) => boolean)

  - - (predicate, thisArg?): boolean

    - Determines whether the specified callback function returns true for any element of an array.

      #### Parameters

      - predicate: ((value, index, array) => unknown)

        A function that accepts up to three arguments. The some method calls the predicate function for each element in the array until the predicate returns a value which is coercible to the Boolean value true, or until the end of the array.

        - - (value, index, array): unknown

          - #### Parameters

            - value: undefined | string | URL | Request | RequestInit
            - index: number
            - array: (undefined | string | URL | Request | RequestInit)[]

            #### Returns unknown

      - `Optional` thisArg: any

        An object to which the this keyword can refer in the predicate function. If thisArg is omitted, undefined is used as the this value.

      #### Returns boolean

- ##### sort: ((compareFn?) => this)

  - - (compareFn?): this

    - Sorts an array in place. This method mutates the array and returns a reference to the same array.

      #### Parameters

      - `Optional` compareFn: ((a, b) => number)

        Function used to determine the order of the elements. It is expected to return a negative value if the first argument is less than the second argument, zero if they're equal, and a positive value otherwise. If omitted, the elements are sorted in ascending, ASCII character order.

            [11,2,22,1].sort((a, b) => a - b)

        - - (a, b): number

          - #### Parameters

            - a: undefined | string | URL | Request | RequestInit
            - b: undefined | string | URL | Request | RequestInit

            #### Returns number

      #### Returns this

- ##### splice: {
  (start, deleteCount?): (undefined | string | URL | Request | RequestInit)[];
  (start, deleteCount, ...items): (undefined | string | URL | Request | RequestInit)[];
  }

  - - (start, deleteCount?): (undefined | string | URL | Request | RequestInit)[]

    - Removes elements from an array and, if necessary, inserts new elements in their place, returning the deleted elements.

      #### Parameters

      - start: number

        The zero-based location in the array from which to start removing elements.

      - `Optional` deleteCount: number

        The number of elements to remove.

      #### Returns (undefined | string | URL | Request | RequestInit)[]

      An array containing the elements that were deleted.

    - (start, deleteCount, ...items): (undefined | string | URL | Request | RequestInit)[]

    - Removes elements from an array and, if necessary, inserts new elements in their place, returning the deleted elements.

      #### Parameters

      - start: number

        The zero-based location in the array from which to start removing elements.

      - deleteCount: number

        The number of elements to remove.

      - `Rest` ...items: (undefined | string | URL | Request | RequestInit)[]

        Elements to insert into the array in place of the deleted elements.

      #### Returns (undefined | string | URL | Request | RequestInit)[]

      An array containing the elements that were deleted.

- ##### toLocaleString: {
  (): string;
  (locales, options?): string;
  }

  - - (): string

    - Returns a string representation of an array. The elements are converted to string using their toLocaleString methods.

      #### Returns string

    - (locales, options?): string

    - #### Parameters

      - locales: string | string[]
      - `Optional` options: NumberFormatOptions & DateTimeFormatOptions

      #### Returns string

- ##### toReversed: (() => (undefined | string | URL | Request | RequestInit)[])

  - - (): (undefined | string | URL | Request | RequestInit)[]

    - Returns a copy of an array with its elements reversed.

      #### Returns (undefined | string | URL | Request | RequestInit)[]

- ##### toSorted: ((compareFn?) => (undefined | string | URL | Request | RequestInit)[])

  - - (compareFn?): (undefined | string | URL | Request | RequestInit)[]

    - Returns a copy of an array with its elements sorted.

      #### Parameters

      - `Optional` compareFn: ((a, b) => number)

        Function used to determine the order of the elements. It is expected to return a negative value if the first argument is less than the second argument, zero if they're equal, and a positive value otherwise. If omitted, the elements are sorted in ascending, ASCII character order.

            [11, 2, 22, 1].toSorted((a, b) => a - b) // [1, 2, 11, 22]

        - - (a, b): number

          - #### Parameters

            - a: undefined | string | URL | Request | RequestInit
            - b: undefined | string | URL | Request | RequestInit

            #### Returns number

      #### Returns (undefined | string | URL | Request | RequestInit)[]

- ##### toSpliced: {
  (start, deleteCount, ...items): (undefined | string | URL | Request | RequestInit)[];
  (start, deleteCount?): (undefined | string | URL | Request | RequestInit)[];
  }

  - - (start, deleteCount, ...items): (undefined | string | URL | Request | RequestInit)[]

    - Copies an array and removes elements and, if necessary, inserts new elements in their place. Returns the copied array.

      #### Parameters

      - start: number

        The zero-based location in the array from which to start removing elements.

      - deleteCount: number

        The number of elements to remove.

      - `Rest` ...items: (undefined | string | URL | Request | RequestInit)[]

        Elements to insert into the copied array in place of the deleted elements.

      #### Returns (undefined | string | URL | Request | RequestInit)[]

      The copied array.

    - (start, deleteCount?): (undefined | string | URL | Request | RequestInit)[]

    - Copies an array and removes elements while returning the remaining elements.

      #### Parameters

      - start: number

        The zero-based location in the array from which to start removing elements.

      - `Optional` deleteCount: number

        The number of elements to remove.

      #### Returns (undefined | string | URL | Request | RequestInit)[]

      A copy of the original array with the remaining elements.

- ##### toString: (() => string)

  - - (): string

    - Returns a string representation of an array.

      #### Returns string

- ##### unshift: ((...items) => number)

  - - (...items): number

    - Inserts new elements at the start of an array, and returns the new length of the array.

      #### Parameters

      - `Rest` ...items: (undefined | string | URL | Request | RequestInit)[]

        Elements to insert at the start of the array.

      #### Returns number

- ##### values: (() => ArrayIterator<undefined | string | URL | Request | RequestInit>)

  - - (): ArrayIterator<undefined | string | URL | Request | RequestInit>

    - Returns an iterable of values in the array

      #### Returns ArrayIterator<undefined | string | URL | Request | RequestInit>

- ##### with: ((index, value) => (undefined | string | URL | Request | RequestInit)[])

  - - (index, value): (undefined | string | URL | Request | RequestInit)[]

    - Copies an array, then overwrites the value at the provided index with the given value. If the index is negative, then it replaces from the end of the array.

      #### Parameters

      - index: number

        The index of the value to overwrite. If the index is negative, then it replaces from the end of the array.

      - value: undefined | string | URL | Request | RequestInit

        The value to write into the copied array.

      #### Returns (undefined | string | URL | Request | RequestInit)[]

      The copied array with the updated value.

- Defined in components/sdk/src/zeus/index.ts:455